<?php

defined( '_JEXEC' ) or die( 'Restricted access' );

//  Script PHP - http://www.finalwebsites.com
//  Modyficate: Templatka.pl - 03.2008
//  Website: 	http://www.templatka.pl


// ustawienia dowolnej sciezki przy zmianach (SEO)

$biez_adres = "";
$ustawienia = $_GET;

if(!empty($ustawienia)) {
	foreach($ustawienia as $col => $val) {
	if($col != "zmien_font" && $col != "zmien_width" && $col != "zmien_css") {
		$biez_adres .= $col ."=".$val . "&amp;";
		}
	}

	$sciezka = $_SERVER["PHP_SELF"]."?".substr($biez_adres, 0, -5)."&amp;";
		}
	
	else {
		$sciezka = $_SERVER["PHP_SELF"]."?";
	}
?>


<?php
session_start();

// Zmiana kolorów strony poprzez zmiane css

$kolory = array();
$kolory['jasny']['file'] = "jasny";
$kolory['ciemny']['file'] = "template_css";
if (isset($_GET['zmien_css']) && $_GET['zmien_css'] != "") {
	$_SESSION['css'] = $_GET['zmien_css'];
} else {
	$_SESSION['css'] = (!isset($_SESSION['css'])) ? $default_css : $_SESSION['css'];
}
	
switch ($_SESSION['css']) {
	case "jasny":	$tpl_css = "jasny";
					break;
	case "ciemny":	$tpl_css = "template_css";
					break;
	default:		$tpl_css = "ciemny";
}

// Zmiana rozmiaru czcionki body

$rozmiary_czcionek = array();
$rozmiary_czcionek['mala']['file'] = "9px";
$rozmiary_czcionek['duza']['file'] = "13px";
$rozmiary_czcionek['standard']['file'] = "11px";


if (isset($_GET['zmien_font']) && $_GET['zmien_font'] != "") {
    $_SESSION['font'] = $_GET['zmien_font'];
} else {
    $_SESSION['font'] = (!isset($_SESSION['font'])) ? $default_font : $_SESSION['font'];
}
switch ($_SESSION['font']) {
	case "mala":		$tpl_font = "9px";
						break;
	case "duza":		$tpl_font = "13px";
						break;
    case "standard":	$tpl_font = "11px";
						break;
    default:			$tpl_font = "13px";
}

// Zmiana szerokosci strony

$szerokosci_strony = array();
$szerokosci_strony['waska']['file'] = "850px";
$szerokosci_strony['szeroka']['file'] = "950px";
$szerokosci_strony['standard']['file'] = "900px";


if (isset($_GET['zmien_width']) && $_GET['zmien_width'] != "") {
    $_SESSION['width'] = $_GET['zmien_width'];
} else {
    $_SESSION['width'] = (!isset($_SESSION['width'])) ? $default_width : $_SESSION['width'];
}
switch ($_SESSION['width']) {    
    case "szeroka":		$tpl_width = "950px";
						break;
    case "waska":   	$tpl_width = "850px";
						break;
	case "standard":	$tpl_width = "900px";
						break;
    default:			$tpl_width = "900px";
}

?>